;+
; Creation par AC le 05/09/2005 a Paris
;
; Avec l'apparition de GDL, il devient necessaire de savoir distinguer
; entre IDL ou GDL, d'autant que certaines fonctions d'IDL ne sont pas
; disponibles dans GDL ou posent problemes (e.g. FINDFILE)
;
; Ce programme a pour but de generer une variable systeme
; indiquant si on utilise IDL ou GDL.
; A ce jour, il n'y a pas de mot-clef evident pour distinguer 
; IDL et GDL a part le prompt --avant qu'il ne soit modife !!--
;
; --------------------------------------
; Rappel: le numero de version peut etre 
; A ce jour, GDL> print, !version.release retourne tjrs 6.0 !!!
;
; --------------------------------------
; Historique des modifications:
;
; 05/09/05 AC: -on verifie si on est deja passe ici ...
;
; --------------------------------------
;-
pro AC_IDL_OR_GDL, verbose=verbose, debug=debug, test=test, help=help
;
mess=AC_SETMESSAGES('AC_IDL_OR_GDL')
;
if KEYWORD_SET(help) then begin
    print, 'pro AC_IDL_OR_GDL, verbose=verbose, $'    
    print, '                   debug=debug, test=test, help=help'
    print, ''
    print, 'This program create a system variable about IDL/GDL'
    return
endif
;
; on verifie si la variable !software n'existerait pas deja
; (cas d'appels multiples !)
;
DEFSYSV, '!software', exist=flag_init
if (flag_init EQ 1) then begin
    print, mess.warning+'The !software has been previously defined !'
    print, mess.warning+'Since we create it as a read-only variable,'
    print, mess.warning+'we cannot change it again'
    return
endif
;
; la variable "!software" ne peut valoir que "idl" ou "gdl"
;
Read_only=1
info_sofware='Nothing_Clear !'
if !prompt EQ 'IDL> ' then info_sofware='idl'
if !prompt EQ 'GDL> ' then info_sofware='gdl'
;
DEFSYSV, '!software', info_sofware, Read_only
;
if (!software EQ 'Nothing_Clear !') then begin
    print, mess.warning+'The software was not indentified'
endif else begin
    print, mess.info+'The software is: ', !software
endelse
;
if KEYWORD_SET(verbose) then begin
    print, mess.info+'Default PROMPT was: ...', !prompt
    print, mess.info+'Software version:', !version
endif
;
if KEYWORD_SET(debug) then begin
    HELP
endif
;
if KEYWORD_SET(test) then STOP
;
end
;
