;+
; Reprise par AC le 10/05/2005 pour les collegues
; fonctionnants sous MS-win
;
; on utilise ceci SSI "wmenu" ne marche pas ...
;
; ----------- Nom du programme: "w_menu.pro"------------------
;
; ****************************************************************
;
; Remarque: don de Dominique Lagoutte, LPCE-CNRS, Orleans (le 15/12/94)
;
; ****************************************************************
;
; Description succinte:
;
; equivalent de la fonction "wmenu" utilisable aussi sur les PC sous Windows
;
; ****************************************************************
;
; Derniere modification le 16/12/94
;
; le 16/12/94:	modification de la taille horizontale "automatique" de la fenetre
;
; ****************************************************************
;
; Liste des modules:
;
; function AC_UMENU, string_param, init=init, titre=titre, taille=taille, bas=bas
; pro test_ac_umenu
;
; ****************************************************************
;
; NB:	lorsque les "labels" init, titre et taille sont utilises,
;	leur ordre est permutable et indifferent.
;
; ****************************************************************
; ----------------------- FIN DE L'ENTETE ------------------------
;- ***************************************************************
;
;
; FONCTION "AC_UMENU"
;
function AC_UMENU, string_param, init=init, titre=titre, taille=taille, bas=bas
;
;	Procedure creant une fenetre de parametres
;
;	Initialisation des mots cles
;
if keyword_set(titre) ne 1 then titre=''
if keyword_set(init) ne 1 then init=0
if keyword_set(taille) ne 1 then taille=5.
;
;	Recuperation des coordonnees de l'ecran
;
device,get_screen_size=scr
pixelx=scr(0)
pixely=scr(1)
;
;	Memorisation du numero de fenetre active
;
fenetre=!d.window
;
;	Initialisation tailles des boites et caracteres
;
nst=n_elements(string_param)
xchsize=taille*!d.x_ch_size
ychsize=taille*!d.y_ch_size
win_xsize=xchsize*max(strlen(string_param))
win_ysize=ychsize*nst
;
;	Ouverture de la fenetre
;
xxpos=(pixelx-win_xsize)-10.
if keyword_set(bas) ne 1 then begin
    yypos=(pixely-win_ysize)-10.
    if !d.name eq 'WIN' then yypos=5.
endif else begin
    yypos=35.
    if !d.name eq 'WIN' then yypos=(pixely-win_ysize)-35.
endelse
window,15,title=titre,$
  xpos=xxpos,ypos=yypos,$
  xsize=win_xsize,ysize=win_ysize
erase,120
;
;	Changement de la forme du curseur
;
if !d.name eq 'WIN' then device,cursor_standard=32512
if !d.name eq 'X' then device,cursor_standard=30
;
;	Position initiale du curseur
;
TVCRS, win_xsize/2., ychsize*(nst-init-0.5), /device
;
;	Ecriture des choix possibles
;
for i=0,nst-1 do begin
    xyouts,win_xsize/2.,ychsize*(nst-1-i+0.2),'!17'+string_param(i),$
      color=0,charsize=xchsize/10.,alignment=0.5,/device
    plots,[0.,win_xsize],[ychsize*(i+1),ychsize*(i+1)],$
      color=0,linestyle=1,/device
endfor
;
; Selection
;
TVRDC, x, y, 3,/device
if (y eq -1) then choix=nst-1 else choix=nst-fix(y/ychsize)-1
;
WDELETE, 15
;
;	Retour a la fenetre de depart
if (fenetre ne -1) then WSET, fenetre
;
return, choix
;
end
;
;--------------------------
;
pro TEST_AC_UMENU
;
a=['oui','non','peut-etre']
; b=AC_UMENU(a,titre='silence',init=1)
b=AC_UMENU(a,titre='silence',init=1)
print,b
end
;
