;
; Creation par AC le 19/12/2005
;
; ----------------------------------------
; Purpose: Lire un fichier ASCII ligne par ligne
; 
; ----------------------------------------
; Known Limitations (and Bugs):
;
; ----------------------------------------
; Historique des modifications:
;
; AC le //06:
; --
;
; ----------------------------------------
; Usage: resultat=READ_ASCII_FILE()
;
; ----------------------------------------
;
function READ_ASCII_FILE, filename=filename, path=path, $
                          prefixe=prefixe, suffixe=suffixe, $
                          verbose=verbose, debug=debug, test=test, help=help
;
mess=AC_SETMESSAGES('READ_ASCII_FILE')
;
if KEYWORD_SET(help) then begin
    print, 'function READ_ASCII_FILE, filename=filename, path=path, $'
    print, '                          prefixe=prefixe, suffixe=suffixe, $'
    print, '                          verbose=verbose, $'
    print, '                          debug=debug, test=test, help=help'
    return, -1
endif
;
if N_ELEMENTS(filename) GT 0 then begin
    if NOT(AC_SELECTFILE(filename=filename, path=path)) then begin
        print, mess.warning+'file not found'
        print, mess.info+'Current PATH is: ....', AC_GETDIR()
        print, mess.info+'provided PATH was: ..', path
        print, mess.info+'provided FILE was: ..', filename
        return, -1      
    endif else begin
        full_filename=path+filename    
    endelse
endif else begin
    reponse=AC_SELECTFILE(filename=filename, path=path, $
                          prefixe=prefixe, suffixe=suffixe)
    if (reponse EQ -1) then return, -1
    full_filename=path+filename
endelse
;
; si on est arrive ici, c'est que tout va bien !
;
if KEYWORD_SET(verbose) then begin
    print, mess.info+'Current PATH is: ....', AC_GETDIR()
    print, mess.info+'provided PATH was: ..', path
    print, mess.info+'provided FILE was: ..', filename   
    print, mess.info+'provided PREFIXE was: ..', prefixe
    print, mess.info+'provided SUFFIXE was: ..', suffixe
endif
;
if KEYWORD_SET(debug) then STOP
;
; initialisation
; (0 line, ligne vide "ascii", tableau 1 element vide)
;
nb_lines=0
one_line=''
tab_lines=[one_line]
;
GET_LUN, lun
OPENR, lun, full_filename
while NOT(EOF(lun)) do begin
    READF, lun, one_line
;;    if KEYWORD_SET(debug) then print, one_line
;;    skip_one_line=(STRPOS(one_line,'#'))(0)
;;    if (skip_one_line NE 0) then begin
    tab_lines=[tab_lines,one_line]
    nb_lines=nb_lines+1
;;    endif
endwhile
CLOSE, lun
FREE_LUN, lun
;
; on retire le 1er elements du tableau
;
tab_lines=tab_lines[1:*]
;
if KEYWORD_SET(test) then STOP
;
return, tab_lines
;
end
