;
; AC le 13/04/2005
;
; On extrait d'une liste de bolos (ranges dans une structure)
; les bolos qui repondent a Freq, a Flag ou a Name
;
function LIST_BOLO_EXTRACT, bolo_list, $
                            freq=freq, flag=flag, name=name, $
                            verbose=verbose, debug=debug, test=test, help=help
;
mess=AC_SETMESSAGES('LIST_BOLO_EXTRACT')
;
; si la procedure est appelee sans "bolo_list" ou
; si le mot-clef /help est active, on retourne l'aide et on sort
;
if KEYWORD_SET(help) OR (N_PARAMS() EQ 0) then begin
    print, 'function LIST_BOLO_EXTRACT, bolo_list, $'
    print, '            freq=freq, flag=flag, name=name, $'
    print, '            verbose=verbose,debug=debug, test=test, help=help'
    print, ''
    print, 'This function extract in a bolo list (structure)'
    print, 'the subfield according to Freq OR Name (one only)'
    print, 'For Name request, size of output is 0 or 1 field'
    print, 'For Freq request, size of output is 0 or n field(s)'
    return, -1
endif
;
; on verifie que "bolo_list" contient bien
; une structure ! (et non pas un float, par exemple !)
;
if (N_TAGS(bolo_list) LE 0) then begin
    print, mess.fatal+"bolo list is not a Structure !"
    return, -1
endif
;
flag_mandatory=0
;
if KEYWORD_SET(freq) then begin
    flag_mandatory=1
    i_freq=WHERE((bolo_list.freq EQ freq), nbfreq)
    if KEYWORD_SET(verbose) then begin
        print, mess.info+"number of found fields:", nbfreq
    endif
    if (nbfreq LE 0) then begin
        print, mess.fatal+"no Bolo at given Freq."
        return, -1
    endif else begin
        sub_bolo_list=bolo_list(i_freq)
    endelse    
endif
;
if KEYWORD_SET(name) then begin
    flag_mandatory=1
    i_name=WHERE((bolo_list.name EQ name), nbname)
    if KEYWORD_SET(verbose) then begin
        print, mess.info+"number of found fields:", nbname
    endif
    if (nbname LE 0) then begin
        print, mess.fatal+"no Bolo with given Name."
        return, -1
    endif else begin
        sub_bolo_list=bolo_list(i_name)
    endelse
endif
;
if KEYWORD_SET(flag) then begin
    flag_mandatory=1
    i_flag=WHERE((bolo_list.flag EQ 1), nbflag)
    if KEYWORD_SET(verbose) then begin
        print, mess.info+"number of found fields:", nbflag
    endif
    if (nbflag LE 0) then begin
        print, mess.fatal+"no Bolo with given Flag."
        return, -1
    endif else begin
        sub_bolo_list=bolo_list(i_flag)
    endelse
endif
;
if (flag_mandatory EQ 0) then begin
    print, mess.fatal+"missing one of mandatory Freq/Name/Flag field"
    return, -1
endif
;
if KEYWORD_SET(debug) OR KEYWORD_SET(test) then stop
;
return, sub_bolo_list
;
end
