;
; Creation par AC le 01/02/2004 a Meudon
;
; Fonctionnalite:
;
; Affichage basique des bolometres predefinis (cf BOLO_INIT)
; et de leurs valeurs
;
; Historique des modifications:
;
; AC le 03/03/04 : ajout de l'option /all (affichage de tous les bolo !)
; AC le 02/04/04 : enfin, bonne gestion des structures !
;
; NB: a quick way to see content of a Structure is to do :
; "help,/struct, name_of_struct
;
pro LIST_BOLO_PRINT, bolo, all=all, test=test, help=help
;
mess=AC_SETMESSAGES('LIST_BOLO_PRINT')
;
if (N_PARAMS() lt 1) then begin
    print, mess.fatal+'missing arguments (bolo OR /all)'
    print, 'pro LIST_BOLO_PRINT, bolo, all=all, $'
    print, '             test=test, help=help'
    return
endif
;
if KEYWORD_SET(help) then begin
    print, 'pro LIST_BOLO_PRINT, bolo, all=all, $'
    print, '              test=test, help=help'
    return
endif
;
if NOT(KEYWORD_SET(all)) then begin
    nb_bolo=N_ELEMENTS(bolo.name)
    for i=0, nb_bolo-1 do begin
        bolo_tmp=bolo(i)
        if (i GE 1) then print, '============================================'
        print, 'Bolo Name  :     ', bolo_tmp.name
        print, 'Bolo Polar :', bolo_tmp.polar
        print, 'Bolo Freq  :', bolo_tmp.freq
        print, 'Bolo Rinf  :', bolo_tmp.Rinf
        print, 'Bolo Ttrans:', bolo_tmp.Ttrans
        print, 'Bolo Alpha :', bolo_tmp.Alpha
        print, 'Bolo Gbol  :', bolo_tmp.Gbol
        print, 'Bolo beta  :', bolo_tmp.beta
        print, 'Bolo c0    :', bolo_tmp.c0
        print, 'Bolo Dcapa :', bolo_tmp.dcapa
        ;;
        print, 'Temp. Bath :', bolo_tmp.Tref
        print, 'Pol. Curr. :', bolo_tmp.i_polar
    endfor
endif else begin
        print, format='(a12)','Bolo Name  :', bolo.name
        print, 'Bolo Polar :', bolo.polar
        print, 'Bolo Freq  :', bolo.freq
        print, 'Bolo Rinf  :', bolo.Rinf
        print, 'Bolo Ttrans:', bolo.Ttrans
        print, 'Bolo Alpha :', bolo.Alpha
        print, 'Bolo Gbol  :', bolo.Gbol
        print, 'Bolo beta  :', bolo.beta
        print, 'Bolo c0    :', bolo.c0
        print, 'Bolo Dcapa :', bolo.dcapa
        ;;
        print, 'Temp. Bath :', bolo.Tref
        print, 'Pol. Curr. :', bolo.i_polar
endelse
;
if KEYWORD_SET(test) then STOP
;
end
;
