;
; AC le 14/12/2005
; modifs le 15/12/2005 pour introduire les bons back (100 et 143)
; et n'avoir qu'un seul courant a la fois !
;
pro MULTI_BACK4JML, freq=freq, current=current, $
                    postscript=postscript, ps_filename=ps_filename, $
                    test=test
;
path='FigsSpeedBolo/'
;
if N_ELEMENTS(current) EQ 0 then current=1e-9
;
flag=0
if N_ELEMENTS(freq) EQ 0 then freq=100.
;
if (freq EQ 100.) then begin
    liste_backs=[1.07e-13, 1.67e-13, 2.58e-13,4.37e-13,7.27e-13]
title='Speed_100-1.csv'
fit_filename='fit_parms_100-1_i15_f1.xdr'
    flag=1
endif
if (freq EQ 143.) then begin
    liste_backs=[1.04e-13, 1.82e-13, 2.95e-13,5.37e-13,9.41e-13]
    title='Speed_143-5.csv'
    fit_filename='fit_parms_143-5_i15_f1.xdr'
    flag=1
endif
if (flag EQ 0) then begin
    print, mess.warning+'no frequency selected'
    return
endif
;
; lecture du fichier de fit des parametres ...
;
print, 'Selected case: ', fit_filename
;
RESTORE, file=path+fit_filename, /verbose
if N_ELEMENTS(parms) EQ 12 then parms=[parms, 0.1]
;
nb_back=N_ELEMENTS(liste_backs)
;
resu=FLTARR(N_ELEMENTS(frequencies),nb_back)
;
for ii=0, nb_back-1 do begin
    parms[0]=liste_backs[ii]
    resu(*,ii)=FUNC_BOLO_SPEED(frequencies, current, parms)
endfor
;
colors=[!col.r,!col.g,!col.o,!col.c,!col.b]
linestyle=replicate(0,nb_back)
;
if KEYWORD_SET(postscript) then begin
    ;; on recopie !p AVANT !
    P_copy=!p
    !p.charsize=1.1
    !p.charthick=1.1
    !p.thick=3.
    ;;
    set_plot, 'PS'
    device, filename=ps_filename, /color, bit=8
endif
;
plot, frequencies, resu(*,1), /xlog, /nodata, yrange=[0, max(resu)], title=title
for i=0, nb_back-1 do begin
    oplot, frequencies, resu(*,i), col=colors(i), line=linestyle(i), psym=-4
endfor
;
y_max=!y.crange[1]
y_min=!y.crange[0]
y_mid=0.5*(y_min+y_max)
xmin=70
xmax=180
xmid=(xmin+xmax)/2.
;
name_backs=STRING(format='(g10.4)',liste_backs)
;;
AC_LEGENDE, [xmin, xmax, 0.6*y_max , 0.85*y_max], $
  name_backs, title='Background (W)', $
  color=colors, _extra=_extra,  line=linestyle
name_current=STRING(format='(g10.4)',current)
my_colors=!col.w
linestyle=0
;;
XYOUTS, xmid, 0.9*y_max, align=0.5, 'Courants (A): '+STRING(current)
XYOUTS, xmid, 0.95*y_max, align=0.5, 'Temp (K): '+STRING(parms(12))
;
if KEYWORD_SET(postscript) then begin
    device, /close
    set_plot, 'X'
    !p=P_copy
endif
;
if KEYWORD_SET(test) then STOP
;
end
