;
; AC, 23 novembre 2005 a Paris, belle lumiere d'hiver
;
; Relit un fichier de sortie d'un fit et imprime a l'ecran les valeurs
; des parametres. Peut aussi afficher les courbes recalculees.
; Usage: comparer les fits partiels et complets
;
; -------------------------------------------
;
pro SPEED_DATA_FIT_REREAD, fit_filename=fit_filename, path=path, $
                           display=display, $
                           test=test, debug=debug, help=help, verbose=verbose
;
mess=AC_SETMESSAGES('SPEED_DATA_FIT_REREAD')
;
if KEYWORD_SET(help) then begin
    print, 'pro SPEED_DATA_FIT_REREAD, fit_filename=fit_filename, path=path, $'
    print, '         test=test, debug=debug, help=help, verbose=verbose'
    return
endif
;
repeat begin
    ;;
    ;; selection du fichier de fit
    ;;
    OK=AC_SELECTFILE(filename=fit_filename, path=path, /verbose, $
                     prefixe='fit_', suffixe='.xdr')
    if (OK EQ 1) then begin
        ;; lecture du contenu du fichier
        RESTORE, file=path+fit_filename, /verbose
        print, mess.info+'fit file << '+fit_filename+'>> was succesfully read'
        print, parms
        if KEYWORD_SET(display) then begin
            if N_ELEMENTS(parms) EQ 12 then parms=[parms, 0.1]
            fitdata=FUNC_BOLO_SPEED(frequencies, currents, parms)
            SPEED_DATA_PLOT, fitdata, frequencies, currents
            if KEYWORD_SET(debug) then STOP
        endif
    endif
    ;; ruse pour passer en mode interactif dans AC_SELECTFILE
    fit_filename='interactif!'
endrep until (OK NE 1)
;
if KEYWORD_SET(test) then STOP
;
end
