;
; AC le 07/11/2005
;
; Fonction: cette procedure affiche un jeu de donnees "reponse d'un
; bolo en fonction du courant et de la drequence de modulation optique"
;
; A ce jour, ni "linestyle" ni colors ne sont proprement gerees ...
; mais il existe l'extension de mot-clef "_extra" ...
;
; ---------------------------------------------------
; Liste de modifications:
;
; AC le 21/11/05: chgt de nom et corrections mineures
; AC le 13/12/05: chgt de yrange=[0,max] a [min,max].
; Sinon pas de valeurs negatives. Pourrait causer des pbs ...
;
; ---------------------------------------------------
;
pro SPEED_DATA_PLOT, data, frequences, currents, $
                     postscript=postscript, ps_filename=ps_filename, $
                     overplot=overplot, legende=legende, params=params, $
                     title=title, linestyle=linestyle, ylog=ylog, $
                     _extra=_extra, help=help, test=test
;
mess=AC_SETMESSAGES('SPEED_DATA_PLOT')
;
if N_PARAMS() LT 3 then begin
    print, 'SPEED_DATA_PLOT, data, frequences, currents, $'
    print, '             postscript=postscript, ps_filename=ps_filename, $'
    print, '             overplot=overplot, legende=legende, params=params, $'
    print, '             title=title, linestyle=linestyle, ylog=ylog, $'
    print, '             _extra=_extra, help=help, test=test'
    return
endif
;
; gestion des styles des lignes
;
nb_cur=N_ELEMENTS(currents)
;
if (N_ELEMENTS(linestyle) EQ 0) then linestyle=REPLICATE(0,nb_cur)
if (N_ELEMENTS(linestyle) EQ 1) then linestyle=REPLICATE(linestyle,nb_cur)
if (N_ELEMENTS(linestyle) LT nb_cur) then begin
    print , mess.warning+'Not well managed case'
endif
;
; gestion de la couleur des lignes
;
if KEYWORD_SET(color) then begin
    if (N_ELEMENTS(color) EQ 1) then my_colors=REPLICATE(color,nb_cur)
    if (N_ELEMENTS(color) EQ nb_cur) then my_colors=color
    if (N_ELEMENTS(color) LT nb_cur) then begin
        print , mess.warning+'Not well managed case'
    endif    
endif else begin
    my_colors=[!col.r,!col.b,!col.g,!col.c,!col.m,!col.y,!col.lgr,!col.o, $
               !col.lg,!col.cb,!col.db,!col.p,!col.pv,!col.dv,!col.br]
    my_colors=my_colors[0:nb_cur-1]
endelse
;
if KEYWORD_SET(postscript) then begin
    ;; on recopie !p AVANT !
    P_copy=!p
    !p.charsize=1.5
    !p.charthick=1.5
    !p.thick=2.2
    ;;
    set_plot, 'PS'
    device, filename=ps_filename, /color, bit=8
endif
;
; affichage a proprement parle
;
if NOT(KEYWORD_SET(overplot)) then begin
    if KEYWORD_SET(ylog) then ylog=1 else ylog=0
    plot, frequences, data(0,*), /xlog, ylog=ylog, $
      yrange=[min(data),max(data)], title=title, $
      xtitle='Frequencies (Hz)', xrange=[2,300], /xstyle, /nodata
endif
for i=0, nb_cur-1 do begin
    oplot, frequences, data(i,*), _extra=_extra, $
      linestyle=linestyle(i), color=my_colors(i)
endfor
;
; ajout (facultatif) de la legende
;
if KEYWORD_SET(legende) then begin
    y_max=!y.crange[1]
    y_min=!y.crange[0]
    name_currents=STRING(format='(g10.4)',currents)
    ;;
    AC_LEGENDE, [70, 180, 0.5*(y_min+y_max), 0.95*y_max], $
      name_currents, title='Currents (A)', $
      linestyle=linestyle, color=my_colors, _extra=_extra
    ;;
    if N_ELEMENTS(params) GT 0 then begin
        T_bath=params(12)
        XYOUTS, (70.+180.)/2., 0.95*y_max, $
          ALIGNMENT=0.5, 'T_bath (K) :'+STRING(T_bath)
    endif
endif
;
if KEYWORD_SET(postscript) then begin
    device, /close
    set_plot, 'X'
    !p=P_copy
endif
;
if KEYWORD_SET(test) then STOP
;
end
