;
; AC le 21/11/2005 a Paris
;
; Ce programme permet de choisir interactivement un fichier
; Si un nom de fichier est fourmis en entree, on verifie que tout va
; bien, sinon on passe en mode interactif
;
; ---------------------------------------------
; Liste des modifications
; AC le 21/11/2005:
;
; ---------------------------------------------
;
; Si la selection reussit (ou si un fichier existe), alors on retourne
; "1", sinon "-1" (a developper ensuite si besoin)
;
function SPEED_DATA_SELECT, filename=filename, path=path, $
                            verbose=verbose, debug=debug, test=test, help=help
;
mess=AC_SETMESSAGES('SPEED_DATA_SELECT')
;
; si le mot-clef /help est active, on retourne l'aide et on sort
;
if KEYWORD_SET(help) then begin
    print, 'function SPEED_DATA_SELECT, filename=filename, path=path, $'
    print, '         verbose=verbose, debug=debug, test=test, help=help'
    return, -1
endif
;
; AC 21/05/2005 : we do not manage fully the PATH now
;
if N_ELEMENTS(path) EQ 0 then begin
    path='Data'+!path_sep
    print, mess.info+'Default Path: ./', path
endif
;
; par defaut, les fichiers OK a ce jour sont "Speed_*.csv"
;
if N_ELEMENTS(filename) EQ 0 then begin
    prefixe='Speed_'
    suffixe='.csv'
    liste_names=AC_FINDFILE(path+prefixe+'*'+suffixe, count=nb_files)
    if (nb_files LE 0) then begin
        print, mess.fatal+'No file founded in default directory'
        if KEYWORD_SET(test) then STOP
        return, -1
    endif else begin
        liste_names=AC_STR_REMOVE(liste_names, path, /at_begin)
        reponse=AC_WMENU(['Fichiers',liste_names,'Quit'], title=0, init=1)
        if (reponse EQ nb_files+1) then begin
            print, mess.warning+'No file selected in default directory'
            return, -1
        endif else begin
            filename=liste_names(reponse-1)
        endelse
    endelse
endif
;
return, 1
end
