;
; Creation par AC le 27/01/2004 a Meudon
;
; Historique des modifications:
;
; 27/01/04: all the values tabulated here have been provided
;           by Michel Piat during 2nd Planck Corsortium Meeting
;           (held at IAS 24/28--jan-2004)
;
; 02/02/04: AC : correction du Bug "passage multiple"
;              --> creation d'une variable read_only "!bolo_flag_init"
;
; 06/02/04: AC : ajout du test du passage par PLANCK_INIT_BACKGROUND
;
; 19/02/04: AC : ajout de la variable systeme !bolo_list_name
;
; 03/03/04: AC : plusieurs modifs (ajout de variables (alpha); accord
; nommage IMO); ajout de bolo
;
;---------------------------------------------
; Ce programme active deux (2) variables systeme ReadOnly:
; !bolo_flag_init (fixe a 1) ET !bolo_list_name (fixe, liste string)
;---------------------------------------------
; Ce programme utilise AC_SETMESSAGES
;---------------------------------------------
;
pro BOLO_INIT, bavard=bavard, test=test, help=help
;
mess=AC_SETMESSAGES('BOLO_INIT')
;
if KEYWORD_SET(help) then begin
    print, 'pro BOLO_INIT, bavard=bavard, $'    
    print, '               test=test, help=help'
    return
endif
;
; -----------------------
; pour arriver ici, il FAUT que PLANCK_INIT_BACKGROUND ait ete lance
; s'il ne l'a pas deja ete, on le lance d'ici
;
DEFSYSV, '!back_flag_init', exist=flag_init
if (flag_init NE 1) then begin
    print, mess.warning+'since PLANCK_INIT_BACKGROUND was not run previously'
    print, mess.warning+'we do it now !'
    PLANCK_INIT_BACKGROUND
end
;
;--------------------------------------------- 
; est-on deja passe dans ce module ?
;
DEFSYSV, '!bolo_flag_init', exist=flag_init
if (flag_init EQ 1) then begin
    print, mess.warning+' it is NOT the first time that BOLO_INIT is called !'
    print, mess.warning+' --> you must go outside IDL to change Bolo values.'
    print, mess.warning+' No change to previous Bolo values'
    return
endif
; --------------------------------------------
; valeurs pour le bolo du papier de Woodcraft 
; (on le met a 100 GHz)
;
bolo={name   :'bolowood', $
      Freq   : 100., $        ;; en GHz
      Polar  : 0, $          ;; boolean: 0 si flux, 1 si polar
      Rinf   : 143., $     ;; anciennement "r0"
      Ttrans : 13.3, $      ;; anciennement "Tg"
      Alpha  : 0.5, $        ;; anciennement "m"
      Gbol   : 1500.e-12, $    ;; anciennement "g_s0"
      Beta   : 1., $
      c0     : 2.9e-12, $
      dcapa  : 1.2, $
      i_polar: 3.6e-10, $
      Tref   : 0.1}   ;; T_bath
;
; on le passe en variable systeme
;
DEFSYSV, '!boloW', bolo
;
print, mess.info+"!boloW was initialized" 
;
if KEYWORD_SET(bavard) then LIST_BOLO_PRINT, !boloW
;
; FIN valeurs pour le bolo a 100 GHz
; --------------------------------------------
;
; --------------------------------------------
; valeurs pour le bolo a 100 GHz ??
;
bolo={name   :'bolo100', $
      Freq   : 100., $        ;; en GHz
      Polar  : 0, $          ;; boolean: 0 si flux, 1 si polar
      Rinf   : 120.48, $     ;; anciennement "r0"
      Ttrans : 16.54, $      ;; anciennement "Tg"
      Alpha  : 0.5, $        ;; anciennement "m"
      Gbol   : 60.e-12, $    ;; anciennement "g_s0"
      Beta   : 1.5, $
      c0     : 0.8e-12, $
      dcapa  : 2.1, $
      i_polar: 3.6e-10, $
      Tref   : 0.1}   ;; T_bath
;
; on le passe en variable systeme
;
DEFSYSV, '!bolo100', bolo
;
print, mess.info+"!bolo100 was initialized" 
;
if KEYWORD_SET(bavard) then LIST_BOLO_PRINT, !bolo100
;
; FIN valeurs pour le bolo a 100 GHz
; --------------------------------------------
; DEBUT valeurs pour le bolo a 545 GHz
;
bolo={name    : 'bolo545', $
      Freq    : 545., $
      Polar   : 0, $
      Rinf    : 84., $      ;; modif valeur GG le 25/02/2004
      Ttrans  : 16.4, $     ;; modif valeur GG le 25/02/2004
      Alpha   : 0.5, $
      Gbol    : 278.e-12, $ ;; modif valeur GG le 25/02/2004
      Beta    : 2.36, $     ;; modif valeur GG le 25/02/2004
      c0      : 4.4e-13, $
      dcapa   : 2.1, $
      i_polar : 1e-9, $
      Tref    : 0.1}
;
; on le passe en variable systeme
;
DEFSYSV, '!bolo545', bolo
;
print, mess.info+"!bolo545 was initialized" 
;
if KEYWORD_SET(bavard) then LIST_BOLO_PRINT, !bolo545
;
; FIN valeurs pour le bolo a 545 GHz
; --------------------------------------------
; DEBUT valeurs pour le bolo a 857 GHz
;
bolo={name    :'bolo857', $
      Freq    : 857., $
      Polar   : 0, $
      Rinf    : 101., $     ;; modif valeur GG le 25/02/2004
      Ttrans  : 16.79, $    ;; modif valeur GG le 25/02/2004
      Alpha   : 0.5, $
      Gbol    : 259.e-12, $ ;;  valeur GG 25/02/04 (old MPiat was:1200.e-12)
      Beta    : 2.46, $    ;; modif valeur GG le 25/02/04 (old MPiat was : 1.5)
      c0      : 5.8e-13, $
      dcapa   : 2.1, $
      i_polar : 1e-9, $
      Tref    : 0.1}
;
; on le passe en variable systeme
;
DEFSYSV, '!bolo857', bolo
;
print, mess.info+"!bolo857 was initialized" 
;
if KEYWORD_SET(bavard) then LIST_BOLO_PRINT, !bolo857
;
; FIN valeurs pour le bolo a 857 GHz
; --------------------------------------------
; maintenant que l'on a finit ce programme, on active les 2 variables
; systeme 
;
Read_only=1
DEFSYSV, '!bolo_flag_init', 1, Read_only
DEFSYSV, '!bolo_list_name', $
  [!boloW.name, !bolo100.name, !bolo545.name, !bolo857.name], Read_only
;
; =============== Attention ===============
;
; pour pouvoir executer ces lignes, il FAUT imperativement
; que les types d'un champ de chaque structure soient les memes.
;
; Pour resumer, en cas de problemes ici, il faut verifier
; que le type de chaque champ d'un bolo soient bien les memes
; que celui du bolo de reference servant a creer le tableau de bolo !
; sinon, le message est : 
;        % Conflicting data structures: LISTE_BOLO,<STRUCT Array[1]>.
;
liste_bolo=REPLICATE(!boloW, N_ELEMENTS(!bolo_list_name))
liste_bolo(1)=!bolo100
liste_bolo(2)=!bolo545
liste_bolo(3)=!bolo857
;
DEFSYSV, '!bolo', liste_bolo
;
; ============================================
;
if KEYWORD_SET(test) then STOP
;
end
