;
; AC 02/05/2005
; Because we do have some redundant code 
; in BOLO_DIRECT_MODEL and BOLO_DIRECT_MODEL, we try to
; factorise it.
;
; The cases we process:
; 1/ If the input array is void, then we create a output array
;    with a length "nbp_output" containing values "default_val"
; 2/ If the input array contains only one element, we create a output
;    array with a length "nbp_output" where the value of input array
;    is replicated
; 3/ If the input array is a 1D array (size > 1), then we check
;    if its size equal "nbp_output", which is the size of the
;    "reference" array
;
; Size of output array is always "nbp_output"
;
; in cases 1 and 2, we check whether "default_val" is OUT_OF_RANGE
;
; ---------------------------------------------
; Liste des modificiations
;
; AC le 14/12/05: gestion du NAME_OF_VAL manquant
;
; ---------------------------------------------
;
function INIT_ARRAY, input_array, nbp_output, default_val=default_val, $
                     min_val=min_val, max_val=max_val, $
                     name_of_val=name_of_val, help=help, test=test
;
mess=AC_SETMESSAGES('INIT_ARRAY')
;
if (N_PARAMS() LT 2) then begin
	print, mess.fatal+'missing arguments'
	help=1
endif
;
if KEYWORD_SET(help) then begin
    print, 'function INIT_ARRAY, input_array, nbp_output, $'
    print, '                     default_val=default_val, $'
    print, '                     min_val=min_val, max_val=max_val, $'
    print, '                     name_of_val=name_of_val, help=help, test=test'
    return, -1
endif
;
nbp_input=N_ELEMENTS(input_array)
;
; When input_array is void, we use default_val
; When input_array has one element , we use it
;
if (nbp_input LE 0) then value=default_val
if (nbp_input EQ 1) then value=input_array
;
if (N_ELEMENTS(name_of_val) NE 1) then name_of_val='Unknown !'
;
if ((nbp_input EQ 0) OR (nbp_input EQ 1))  then begin
    txt="value of <<"+name_of_val+">>"
    if OUT_OF_RANGE(value, min=min_val, max=max_val, txt) then begin
        print, mess.warning+txt+' is out of input range', value
    endif
    ;; maintenant on cree le tableau
    output_array=REPLICATE(value, nbp_output)
endif
;
; When the input array is longer that one element,
; we check wether its size is the same than "nbp_output"
;
if (nbp_input GT 1) then begin
    if (nbp_input NE nbp_output) then begin
        print, mess.fatal+" nbp_input <> nbp_output ! ", $
          nbp_input, nbp_output
        return, -1
    endif else begin
        output_array=input_array
    endelse
endif
;
; ici, on DOIT avoir un tableau "output_array"
; de meme taille que "nbp_output". A priori,
; ce test est tjrs faux, mais, au cas ou ...
;
if (N_ELEMENTS(output_array) NE nbp_output) then begin
    print, mess.fatal+"something wrong in array size for variable: ", name_of_val 
    STOP
endif
;
return, output_array
;
end
