;
; Creation par AC le 05/02/2004 a Meudon
;
; Historique des modifications:
;
; 05/02/04: all the values tabulated here have been provided
;           by Jean-Michel Lamarre during a meeting today
;
;--------------------------------------------- 
;
pro PLANCK_INIT_BACKGROUND, bavard=bavard, test=test, help=help
;
mess=AC_SETMESSAGES('PLANCK_INIT_BACKGROUND')
;
if KEYWORD_SET(help) then begin
    print, 'pro PLANCK_INIT_BACKGROUND, bavard=bavard, $'    
    print, '               test=test, help=help'
    return
endif
;
;--------------------------------------------- 
;
DEFSYSV, '!back_flag_init', exist=flag_init
if (flag_init EQ 1) then begin
    print, mess.warning+' it is NOT the first time that PLANCK_INIT_BACKGROUND is called !'
    print, mess.warning+' --> you must go outside IDL to change BACKGROUND values.'
    print, mess.warning+' No change to previous BACKGROUND values'
    if KEYWORD_SET(bavard) then begin
        print, mess.info+' ReadOnly SysVar !back_flag_init is set'
        print, mess.info,'content of Structure !back is:'
        HELP,/structure, !back
        print, mess.info+'Other Structs are: !back60K, !back40K, !backBiz'
    endif
    return
endif
;
;--------------------------------------------- 
; La premiere table concerne les backgrounds
; pour un telescope a 60 K 
;
backgrounds={f100  : 0.38e-12, $
             f100p : 0.38e-12, $
             f143  : 0.84e-12, $
             f143p : 0.42e-12, $
             f217  : 0.83e-12, $
             f217p : 0.41e-12, $
             f353  : 2.2e-12, $
             f353p : 1.1e-12, $
             f545  : 6.0e-12, $
             f857  : 19.e-12 }
;
; on le passe en variable systeme
;
DEFSYSV, '!back60K', backgrounds
;
print, mess.info+"!back60K was initialized" 
;
;--------------------------------------------- 
; La deuxieme table concerne les backgrounds
; pour un telescope a 40 K 
;
backgrounds={f100  : 0.35e-12, $
             f100p : 0.35e-12, $
             f143  : 0.75e-12, $
             f143p : 0.37e-12, $
             f217  : 0.68e-12, $
             f217p : 0.34e-12, $
             f353  : 1.58e-12, $
             f353p : 0.79e-12, $
             f545  : 3.72e-12, $
             f857  : 10.53e-12 }
;
; on le passe en variable systeme
;
DEFSYSV, '!back40K', backgrounds
;
print, mess.info+"!back40K was initialized" 
;;
;--------------------------------------------- 
; La premiere table concerne les backgrounds
; d'apres le <<bizness agreement>>
;
backgrounds={f100  : 0.52e-12, $
             f100p : 0.52e-12, $
             f143  : 1.14e-12, $
             f143p : 0.57e-12, $
             f217  : 1.09e-12, $
             f217p : 0.54e-12, $
             f353  : 0.98e-12, $
             f353p : 0.49e-12, $
             f545  : 5.e-12, $
             f857  : 16.e-12 }
;
; on le passe en variable systeme
;
DEFSYSV, '!backBiz', backgrounds
;
print, mess.info+"!backBiz was initialized"
;
; ----------------------------------------------
; sans information a ce jour, on met "back60k" comme defaut
; (et on ne gere rien)
;
DEFSYSV, '!back', !back60k
print, mess.warning+"!back was set by default to !back60k"
;
if KEYWORD_SET(bavard) then begin
    print, mess.info+' ReadOnly SysVar !back_flag_init is set'
    print, mess.info,'content of Structure !back is:'
    HELP,/structure, !back
    print, mess.info+'Other Structs are: !back60K, !back40K, !backBiz'
endif
;
Read_only=1
DEFSYSV, '!back_flag_init', 1, Read_only
;
if KEYWORD_SET(test) then STOP
;
end
