;
; Creation par AC le 20/01/2005 a Paris
; (de retour de la prefecture, 6ieme voyage, merci Mr Sarkosy)
;
; Ce programme marche meme si HIGH et LOW sont negatifs,
; meme si high est plus petit que low, ...
; Ceci peut permettre de changer facilement l'ordre des creneaux
;
; Historique des modifications:
;
;
function CREATE_CRENEAUX, nbp, periode, half_period=half_period, $
                   high_level=high_level, low_level=low_level, $
                   display=display, verbose=verbose, $
                   debug=debug, test=test, help=help
;
mess=AC_SETMESSAGES('CREATE_CRENEAUX')
;
if (N_PARAMS() lt 2) then begin
    print, mess.fatal+'missing MANDATORY arguments'
    help=1
endif
;
if KEYWORD_SET(help) then begin
    print, 'function CREATE_CRENEAUX, nbp, periode, half_period=half_period, $'
    print, '                 high_level=high_level, low_level=low_level, $'
    print, '                 display=display, verbose=verbose, $'
    print, '                 debug=debug, test=test, help=help'
    print, ''
    print, 'Create an array with 2 levels (high_level, low_level) with period.'
    print, 'Default levels are 1 and 0; Default is half_period'
    return, -1
endif
;
creneaux=FINDGEN(nbp) MOD periode
if (N_ELEMENTS(half_period) NE 1) then half_period=periode/2
;
if (N_ELEMENTS(high_level) NE 1) then high_level=1
if (N_ELEMENTS(low_level) NE 1) then low_level=0
;
; on cherche d'abord
;
high=WHERE(creneaux GE half_period, nbp_high)
low=WHERE(creneaux LT half_period, nbp_low)
;
; on modifie ensuite "en place"
;
if (nbp_high GT 0) then begin
    creneaux(high)=high_level
endif else begin
    print, mess.warning+"no HIGH period found ..."
endelse
;
if (nbp_low GT 0) then begin
    creneaux(low)=low_level
endif else begin
    print, mess.warning+"no LOW period found ..."
endelse
;
if KEYWORD_SET(display) then begin
    mini=MIN(creneaux)
    maxi=MAX(creneaux)
    echelle=maxi-mini
    plot, creneaux, yrange=[mini-0.1*echelle, maxi+0.1*echelle],/ystyle
    AC_DELAIS
endif
if KEYWORD_SET(debug) then begin
    HELP
endif
;
if KEYWORD_SET(test) then STOP
;
return, creneaux
;
end
;
