;
; AC le 26/09/2005 a la demande de JML
;
pro TRACE_TIME_CONST, bolo=bolo, T_bath=T_bath, percent=percent, $
                      postscript=postscript, $
                      help=help, test=test, verbose=verbose
;
bolo=LIST_BOLO_SELECT()
;
tab_i=[0.10, 0.25, 0.50, 0.75, 1.00, 2.00, 5.00]*1.e-9
nbp_i=N_ELEMENTS(tab_i)
tab_back=[0.10, 0.25, 0.50, 0.75 ,1.00]*1e-12
nbp_b=N_ELEMENTS(tab_back)
;
tab_tau=FLTARR(nbp_b,nbp_i)
;
if (N_ELEMENTS(percent) EQ 0) then percent=1./100. ;; par default, 1%
;
for b=0, nbp_b-1 do begin
    back=tab_back(b)
    signal=percent*back
    for i=0, nbp_i-1 do begin
        tab_tau(b,i)=CALCUL_TIME_CONST(bolo=bolo, back=back, $
                                  amp=signal, /up, current=tab_i(i))
    endfor
endfor
;
if KEYWORD_SET(postscript) then begin
    set_plot, 'PS'
    device, filename='time_const_VS_back.ps'
endif
;
y_r=[0., MAX(tab_tau)]
x_r=[0.9*MIN(tab_back), 1.1*MAX(tab_back)]
plot, tab_back, tab_tau(0,*), yrange=y_r, xrange=x_r, /nodata, $
  xtitle='Background (W)', ytitle='Tau (s)', title='Time constante VS P_back'
;
for i=0, nbp_i-1 do begin
    oplot, tab_back, tab_tau(*,i), linestyle=i+1, psym=-4
endfor

;
if KEYWORD_SET(postscript) then begin
    device, /close
    set_plot, 'X'
endif

stop
end
