#
# activation d'IDL pour SHELL (ba)sh
# AC le 09/06/04 a l'Obs
# reprise par AC le 28/07/04 a l'Obs
# reprise par AC le 14/04/05 a l'Obs pour init_simudyna.sh
#
# AC le 01/07/2005
# tentative de gestion plus riche des options (-5, -6, --gdl)
#
# You have to fill 3 informations:
# 1/ Main Path of IDL
# 2/ Path of the Astron Library
# 3/ the Way to launch your local IDL
#
# -------------------- Step 1 ------------
#
# options et test pour structures IF/Then
# cf MAMD book p 107
#
# expected default PATH for IDL
#
if [ $1 = "5" ]
then
    IDL_PATH_MAIN='/usr/local/rsi/idl_5.5'
else
    IDL_PATH_MAIN='/usr/local/rsi/idl_6.0'
fi
#
if [ -d $IDL_PATH_MAIN ]
then
    echo "Mandatory IDL main PATH is:" $IDL_PATH_MAIN
else
    echo "missing or unknown mandatory PATH to IDL sofware"
    echo "you can give it in file <<init_simudyna.sh>>"
fi
#
# -------------------- Step 2 ------------
#
NEED_ASTRON_LIB='no'
if [ $NEED_ASTRON_LIB = 'yes' ]; then
#
# par defaut, la lib Astron est supposee ici :
# Default PATH for Astron Lib
#
IDL_PATH_ASTRON_LIB='nothing'
#
# default for Genevieve and Alain 
#
if [ $HOSTNAME = almapc2.obspm.fr ]; then
    IDL_PATH_ASTRON_LIB='/home/'$USER'/IDL/Librairies/astronV5.6'
fi
if [ $HOSTNAME = almapc1.obspm.fr ]; then
    IDL_PATH_ASTRON_LIB='/home/'$USER'/IDL/Librairies/astron_V4.0'
fi
if [ $HOSTNAME = planck.obspm.fr ]; then
    IDL_PATH_ASTRON_LIB='/home/gerard/IDL/astronV5.6'
fi
#
# on a 3 cas:
# 1/ le defaut n'a pas ete change
# 2/ le defaut a ete change mais le repertoire n'existe pas
# 3/ le repertoire existe
#
if [ $IDL_PATH_ASTRON_LIB = 'nothing' ]
then
    echo "missing or unknown mandatory PATH to Astron Library"
    echo "you can give it in file <<init_simudyna.sh>>"
elif [ -d $IDL_PATH_ASTRON_LIB ]
then
    echo "Mandatory Astron Library PATH is:" $IDL_PATH_ASTRON_LIB
else
    echo "WRONG (no existing) PATH to Astron Library"
    echo "you can give it in file <<init_simudyna.sh>>"
fi
fi
#
# -------------------- Step 3 ------------
# the way to launch your IDL
#
# ceci peut changer en fonction des IDL,
# mais c'est OK sous Linux et MacOS X
#
alias idl=$IDL_PATH_MAIN'/bin/idl -genver'
#
# --------------------------------
# nothing to change below : standard IDL variables (PATH and STARTUP)
#
# On travaille dans le repertoire local du soft
#
IDL_PATH_LOCAL=$PWD
echo $IDL_PATH_LOCAL
#
IDL_PATH='+'$IDL_PATH_LOCAL'/AClib:'
IDL_PATH=$IDL_PATH'+'$IDL_PATH_LOCAL'/SimuDyna:'
IDL_PATH=$IDL_PATH'+'$IDL_PATH_LOCAL'/Data:'
IDL_PATH=$IDL_PATH'+'$IDL_PATH_LOCAL'/AboutTimeConst:'
IDL_PATH=$IDL_PATH'+'$IDL_PATH_MAIN
#
IDL_STARTUP=$IDL_PATH_LOCAL'/simudyna_idl_startup.pro'
IDL_DEVICE=X
#
# on ne rend visible que les varaibles necessaires
#
export IDL_PATH
export IDL_STARTUP
export IDL_DEVICE
#
DEBUG='yes'
if [ $DEBUG = 'yes' ]; then
    echo 'NEED_ASTRON_LIB : .....' $NEED_ASTRON_LIB
    echo 'IDL_PATH_ASTRON_LIB : .' $IDL_PATH_ASTRON_LIB
    echo 'IDL_STARTUP : .........' $IDL_STARTUP
    echo 'IDL_PATH : ............' $IDL_PATH
fi
