# AC le 28/04/2005
# shortcut to launch SIMUDYNA when PATH have been initialized before
# (in init_simucqm.sh)
#
# chemins d'IDL et de GDL
# (les mettre vides si les versions n'existent pas !)
#
MPFIT_PATH='/home/coulais/IDL/Librairies/CraigMPfit/'
GDL_PATH='/home/coulais/GDL4IDL/gdl-0.8.9/src/'
IDL5_PATH='/usr/local/rsi/idl_5.5/'
IDL6_PATH='/usr/local/rsi/idl_6.0/'
#
# chemin vers les librairies (je ne sais pas ce qui est OK pour GDL)
#
IDL_LIB_PATH5='/usr/local/rsi/idl_5.5/lib/'
IDL_LIB_PATH6='/usr/local/rsi/idl_6.0/lib/'
IDL_LIB_PATH_GDL=$IDL_LIB_PATH5
#
# ======= Changes ONLY BEFORE here =========
#
# !!!!!! NO changes after this line !!!!!!
#
# on va lancer IDL ou GDL
#
opt_idl=0
opt_gdl=1
#
# option internes
#
opt_help=0    # si c'est a 1, alors on affiche l'aide et on sort
opt_debug=0   # si c'est a 1, alors on affiche l'etat des variables en sortant
opt_version=0 # si c'est a 1, on indique la version du soft
opt_init=0    # si c'est a 1, on initialize tout mais ne lance pas IDL/GDL
#
while getopts ":56dgGhiv-:" opt ; do
    case $opt in
    5 ) opt_idl=1
	opt_gdl=0
	IDL_PATH_MAIN=$IDL5_PATH
	IDL_LIB_PATH=$IDL_LIB_PATH5 ;;
    6 ) opt_idl=1
	opt_gdl=0
	IDL_PATH_MAIN=$IDL6_PATH
	IDL_LIB_PATH=$IDL_LIB_PATH6 ;;
    d ) opt_debug=1 ;;
    g | G ) opt_gdl=1
	IDL_PATH_MAIN=$GDL_PATH ;;
    h ) opt_help=1 ;;
    i ) opt_init=1 ;;
    v ) opt_version=1 ;;
    - ) case $OPTARG in
	    debug ) opt_debug=1 ;;
	    gdl ) opt_gdl=1
		IDL_PATH_MAIN=$GDL_PATH ;;
	    help ) opt_help=1 ;;
	    init ) opt_init=1 ;;
	    version ) opt_version=1 ;;
	    ? ) echo "option longue illgale -$OPTARG" ;;
	    * ) echo "option longue illgale -$OPTARG" ;;
	esac ;;
    ? ) echo "option illgale -$OPTARG" ;;
    esac
done
	
if [ "$opt_help" -ne 0 ] ; then
    echo "./run_sinudyna.sh:"
    echo "     -5             used a IDL 5.x version (default is 5.5)"
    echo "     -6             used a IDL 6.x version (default is 6.0)"
    echo "     -d, --debug    debug (verbose) mode"
    echo "     -g, -G, --gdl  used GDL instead IDL (current GDL is 0.8.9)"
    echo "     -h, --help     display this help (and do nothing)"
    echo "     -i, --init     init the PATHs but do not start IDL nor GDL"
    echo "     -v             be verbosed !"
    #
    # on sort si on est passe par l'aide
    exit
fi
#
# quelle est la version du programme principale ?
# (option pas tres utile !)
#
if [ "$opt_version" -ne 0 ] ; then
    head -1 ./Docs/VERSION.txt 
fi
# --------------------------------
# nothing to change below : standard IDL variables (PATH and STARTUP)
#
# On travaille dans le repertoire local du soft
#
IDL_PATH_LOCAL=$PWD
#echo $IDL_PATH_LOCAL
#
IDL_PATH='+'$IDL_PATH_LOCAL'/AClib:'
IDL_PATH=$IDL_PATH'+'$IDL_PATH_LOCAL'/SimuDyna:'
IDL_PATH=$IDL_PATH'+'$IDL_PATH_LOCAL'/Data:'
IDL_PATH=$IDL_PATH'+'$IDL_PATH_LOCAL'/AboutTimeConst:'
#
# ajout du chemin vers MPfit
#
IDL_PATH=$IDL_PATH'+'$MPFIT_PATH':'
#
# on rajoute dans tous les cas (GDL ou IDL)
# le chemin vers la librairie "Open Source" d'IDL
#
IDL_PATH=$IDL_PATH'+'$IDL_LIB_PATH
#
echo $IDL_PATH
export  IDL_PATH=$IDL_PATH
#
IDL_STARTUP=$IDL_PATH_LOCAL'/simudyna_idl_startup.pro'
export  IDL_STARTUP=$IDL_STARTUP
#
# --------------------------------
# lancement effectif d'IDL ou GDL
# (ssi on n'est pas en mode "init" (-i ou --init))
#
if [ "$opt_init" -ne 1 ] ; then
    if [ "$opt_debug" -ne 0 ]; then
	echo 'IDL flag: ' $opt_idl
	echo 'GDL flag: ' $opt_gdl
    fi
    ## AC le 02/09/05
    ## par le jeu des mots-clefs, IDL et GDL peuvent etre 
    ## tous les 2 selectionnes, comme GDL n'est pas encore operationel
    ## on privilegie IDL
    ##
    if [ "$opt_gdl" -eq "$opt_idl" ] ; then
        if [ "$opt_gdl" -eq 1 ] ; then 
	    echo 'Warning: Both IDL and GDL resquested ! IDL launched'
	fi
        if [ "$opt_gdl" -eq 0 ] ; then 
	    echo 'Warning: no IDL or GDL explicitly resquested ! IDL launched'
	fi
	opt_idl=1
	opt_gdl=0
    fi
    #
    if [ "$opt_gdl" -ne 0 ] ; then
	$GDL_PATH/gdl
    fi
    if [ "$opt_idl" -ne 0 ] ; then
	$IDL_PATH_MAIN/bin/idl -genver
    fi
fi
#
NEED_ASTRON_LIB='no'
#
if [ "$opt_debug" -ne 0 ]; then
    echo 'NEED_ASTRON_LIB : .....' $NEED_ASTRON_LIB
    echo 'IDL_PATH_ASTRON_LIB : .' $IDL_PATH_ASTRON_LIB
    echo 'IDL_STARTUP : .........' $IDL_STARTUP
    echo 'IDL_PATH : ............' $IDL_PATH
fi
#